/** 
 * @Version $Rev: 56 $
 * @Author M.Sekido
 * @Date  $Date: 2013-07-03 20:40:14 +0900 (水, 03  7月 2013) $
 * $Id: k5_chk.cpp 56 2013-07-03 11:40:14Z vlbi $ 
 */

#inclde <iostream>
#inclde <cstdio>
#inclde <cstdlib>
#inclde <string>
using namespace std;

extern "C"{
#include <unistd.h>
}

#include "K5VSSP_Header.hpp"

char *me;
void usage(){
  printf("Usage: %s -f <k5vssp file>\n",me);
  exit(1);
}

int main (int argc, char * const argv[]) {
  me = (me = strrchr(argv[0], '/')) == NULL ? argv[0] : me+1; /* My name */ 
  
  if(argc < 3) usage() ;
  string fname;
  int k=0; 

  while (k >= 0) { 
    switch (k = getopt(argc, argv, "hp:a:e:g:")) { 
    case 'h':   usage();     break;
      //    case 'e':    break;
    case 'f':   fname = optarg;      break;
    case '?':    usage(); break;
    }
  }

  if(fname.empty()){
    cerr << "Error: missing fname\n";
    usage();
  }
  
  FILE *fp = fopen(fname.c_str(),"r");
  if(fp ==NULL){
    cerr << "Error: Failed to open file(" << fname << ")\n";
    exit(1);
  }
  
  K5VSSP32_Hdr k5hdr32;
  
  

  fclose(fp);

}
